#!/usr/bin/haserl
<%
	# This program is copyright © 2008-2013 Eric Bishop and is distributed under the terms of the GNU GPL
	# version 2.0 with a special clarification/exception that permits adapting the program to
	# configure proprietary "back end" software provided that all modifications to the web interface
	# itself remain covered by the GPL.
	# See http://gargoyle-router.com/faq.html#qfoss for more information
	eval $( gargoyle_session_validator -c "$COOKIE_hash" -e "$COOKIE_exp" -a "$HTTP_USER_AGENT" -i "$REMOTE_ADDR" -r "login.sh" -t $(uci get gargoyle.global.session_timeout) -b "$COOKIE_browser_time" )
	gargoyle_header_footer -m -c "common.css" -j "qos.js" -z "qos.js"
%>
<div id="edit_container" class="row">
	<div class="col-lg-12">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><%~ qos.QERulClass %></h3>
			</div>

			<div class="panel-body">
				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_source_ip" onclick="enableAssociatedField(this,'source_ip', '')" />
						<label id="source_ip_label" for="use_source_ip"><%~ SrcIP %>:</label>
					</span>
					<span class="col-xs-7"><input type="text" id="source_ip" class="form-control" onkeyup="proofreadIpRange(this)" size="17" maxlength="31" aria-labelledby="source_ip_label"/></span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_source_port" onclick="enableAssociatedField(this,'source_port', '')"/>
						<label id="source_port_label" for="use_source_port"><%~ SrcPort %>:</label>
					</span>
					<span class="col-xs-7"><input type="text" id="source_port" class="form-control" onkeyup="proofreadPortOrPortRange(this)" size="17" maxlength="11" aria-labelledby="source_port_label"/></span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_dest_ip" onclick="enableAssociatedField(this,'dest_ip', '')" />
						<label id="dest_ip_label" for="use_dest_ip"><%~ DstIP %>:</label>
					</span>
					<span class="col-xs-7"><input type="text" id="dest_ip" class="form-control" onkeyup="proofreadIpRange(this)" size="17" maxlength="31" aria-labelledby="dest_ip_label"/></span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_dest_port" onclick="enableAssociatedField(this,'dest_port', '')" />
						<label id="dest_port_label" for="use_dest_port"><%~ DstPort %>:</label>
					</span>
					<span class="col-xs-7"><input type="text" id="dest_port" class="form-control" onkeyup="proofreadPortOrPortRange(this)" size="17" maxlength="11" aria-labelledby="dest_port_label"/></span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_max_pktsize" onclick="enableAssociatedField(this,'max_pktsize', '')" />
						<label id="max_pktsize_label" for="use_max_pktsize"><%~ MaxPktLen %>:</label>
					</span>
					<span class="col-xs-7">
						<input type="text" id="max_pktsize" class="form-control" onkeyup="proofreadNumericRange(this,1,1500)" size="17" maxlength="4" aria-labelledby="max_pktsize_label"/>
						<em><%~ byt %></em>
					</span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_min_pktsize" onclick="enableAssociatedField(this,'min_pktsize', '')" />
						<label id="min_pktsize_label" for="use_min_pktsize"><%~ MinPktLen %>:</label>
					</span>
					<span class="col-xs-7">
						<input type="text" id="min_pktsize" class="form-control" onkeyup="proofreadNumericRange(this,1,1500)" size="17" maxlength="4" aria-labelledby="min_pktsize_label"/>
						<em><%~ byt %></em>
					</span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_transport_protocol" onclick="enableAssociatedField(this,'transport_protocol', '')" />
						<label id="transport_protocol_label" for="use_transport_protocol"><%~ TrProto %>:</label>
					</span>
					<span class="col-xs-7">
						<select id="transport_protocol" class="form-control" aria-labelledby="transport_protocol_label">
							<option value="TCP">TCP</option>
							<option value="UDP">UDP</option>
							<option value="ICMP">ICMP</option>
							<option value="GRE">GRE</option>
						</select>
					</span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_connbytes_kb" onclick="enableAssociatedField(this,'connbytes_kb', '')" />
						<label id="connbytes_kb_label" for="use_connbytes_kb"><%~ Conreach %>:</label>
					</span>
					<span class="col-xs-7">
						<input type="text" id="connbytes_kb" class="form-control" onkeyup="proofreadNumeric(this)" size="17" maxlength="28" aria-labelledby="connbytes_kb_label"/>
						<em><%~ KBy %></em>
					</span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_app_protocol" onclick="enableAssociatedField(this,'app_protocol', '')" />
						<label id="app_protocol_label" for="use_app_protocol"><%~ AppProto %>:</label>
					</span>
					<span class="col-xs-7">
						<select id="app_protocol" class="form-control" aria-labelledby="app_protocol_label">
						<%
						sed -e '/^#/ d' -e "s/\([^ ]* \)\(.*\)/<option value='\1'>\2<\/option>/" /etc/l7-protocols/l7index
						%>
						</select>
					</span>
				</div>

				<div class="row form-group">
					<span class="col-xs-5">
						<input type="checkbox" id="use_comment_rule" onclick="enableAssociatedField(this,'comment_rule', '')"  />
						<label id="comment_rule_label" for="use_comment_rule"><%~ Comment %>:</label>
					</span>
					<span class="col-xs-7">
						<input class="form-control" type="text" id="comment_rule" size="17" maxlength="25" aria-labelledby="comment_rule_label"/>
					</span>

				</div>

				<div class="row form-group">
					<label class="col-xs-5" id="classification_label" for="classification"><%~ SetClass %>:</label>
					<span class="col-xs-7"><select id="classification" class="form-control"></select></span>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="bottom_button_container" class="panel panel-default"></div>

</body>
</html>

